[arch-commits] Commit in python-pyfix/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Wed Jul 18 05:29:47 UTC 2018


    Date: Wednesday, July 18, 2018 @ 05:29:46
  Author: foutrelis
Revision: 361744

archrelease: copy trunk to community-staging-any

Added:
  python-pyfix/repos/community-staging-any/
  python-pyfix/repos/community-staging-any/PKGBUILD
    (from rev 361743, python-pyfix/trunk/PKGBUILD)

----------+
 PKGBUILD |   40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

Copied: python-pyfix/repos/community-staging-any/PKGBUILD (from rev 361743, python-pyfix/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2018-07-18 05:29:46 UTC (rev 361744)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgname=python-pyfix
+pkgver=0.2.3
+_commit=403d51f426dda6a907c96d8d9d2e2942999b1f23
+pkgrel=5
+pkgdesc='A framework for writing automated software tests'
+arch=('any')
+url='https://github.com/pyclectic/pyfix'
+license=('Apache')
+depends=('python-pyassert')
+makedepends=('python-pybuilder' 'python-pyassert' 'python-coverage' 'python-mockito'
+             'python-unittest-xml-reporting' 'pychecker')
+source=("$pkgname-$_commit.tar.gz::https://github.com/pyclectic/pyfix/archive/$_commit.tar.gz")
+sha512sums=('879315ad2ce6a3697cee1ea366202ed43c140652938a31e1de1bbf276f9bc3304396152c7d1bc73a06b0b523d97a164ad76625a5131d9b8161deb7c011cd4b1b')
+
+prepare() {
+  # Pybuilder uses directory name to determine distribution name
+  mv pyfix-$_commit pyfix
+
+  # BUILD FAILED - Missing plugin dependency 'pychecker':
+  #   pip._internal.exceptions.DistributionNotFound:
+  #     No matching distribution found for pychecker
+  sed -i '/use_plugin("python.pychecker")/d' pyfix/build.py
+}
+
+check() {
+  cd pyfix
+  pyb -v analyze || warning "broken tests"
+}
+
+package() {
+  cd pyfix
+  pyb -v -o package
+  cd target/dist/pyfix-$pkgver
+  python setup.py install --root="$pkgdir" -O1
+}



More information about the arch-commits mailing list